/*******************************************************
********************************************************
 
Autore : Mauro Laurenti
Versione : 1.0
Data : 14/08/2007
 
CopyRight 2007 all rights are reserved


********************************************************
SOFTWARE LICENSE AGREEMENT
********************************************************

The usage of the supplied software imply the acceptance of the following license.

The software supplied herewith by Mauro Laurenti (the Author) 
is intended for use solely and exclusively on Microchip PIC Microcontroller (registered mark).  
The software is owned by the Author, and is protected under applicable copyright laws. 
All rights are reserved. 
Any use in violation of the foregoing restrictions may subject the 
user to criminal sanctions under applicable laws (Italian or International ones), as well as to 
civil liability for the breach of the terms and conditions of this license. 
Commercial use is forbidden without a written acknowledgment with the Author.
Personal or educational use is allowed if the application containing the following 
software doesn't aim to commercial use or monetary earning of any kind.    

THIS SOFTWARE IS PROVIDED IN AN "AS IS" CONDITION. NO WARRANTIES, 
WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED 
TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A 
PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. THE AUTHOR SHALL NOT, 
IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL OR 
CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.

********************************************************
PURPOSES
********************************************************

This library is supposed to be used for reading and 
writing the PIC microcontroller internal EEPROM 
 
*******************************************************
*******************************************************/

#include <p18cxxx.h>

#ifndef FLAG_intEEPROM
#define FLAG_intEEPROM


/**
 * This function writes a byte inside the internal EEPROM. 
 *
 * @param data Byte to write [min: 0, max: 255]
 *
 * @param address Address where the byte must be written [min: 0, max: 255]
 *
 * @return status 1: The byte has been properly written
 *       		  0: The byte has not been properly written
 *
 * @warning During the writing process the Interrupts are disabled. The old status is restored afterwards.
 *
 */

char write_Int_EEPROM (unsigned char data, unsigned char address);



/**
 * This function reads a byte from the internal EEPROM. 
 *
 *
 * @param address Address where the byte must be read [min: 0, max: 255]
 *
 * @return data Value read from the internal EEPROM.
 *
 */
unsigned char read_Int_EEPROM (unsigned char address);


#endif
